/**
 * 
 */
package org.gcube.accounting.datamodel.implementations.aggregated;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import org.gcube.accounting.datamodel.AggregatedUsageRecord;
import org.gcube.accounting.exception.InvalidValueException;

/**
 * @author Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/
 *
 */
public class StorageUsageUsageRecord extends org.gcube.accounting.datamodel.implementations.StorageUsageUsageRecord implements AggregatedUsageRecord<StorageUsageUsageRecord> {

	/**
	 * Generated Serial Version UID
	 */
	private static final long serialVersionUID = 1082525518686785682L;
	
	public StorageUsageUsageRecord(){
		super();
		this.resourceProperties.put(AGGREGATED, true);
	}
	
	public StorageUsageUsageRecord(Map<String, Serializable> properties) throws InvalidValueException{
		super(properties);
		this.resourceProperties.put(AGGREGATED, true);
	}
		
	/**
	 * {@inheritDoc}
	 */
	@Override
	public List<StorageUsageUsageRecord> aggregate(List<StorageUsageUsageRecord> records) {
		// TODO
		throw new UnsupportedOperationException();
	}
}
